## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanOutputTranscoder Class Reference

Inheritance diagram for XalanOutputTranscoder:

[legend]
List of all members.

## Public Types

- typedef XalanTranscodingServices::XalanXMLByte XalanXMLByte
- typedef XalanTranscodingServices::eCode eCode
- typedef XalanTranscodingServices::size_type size_type
- typedef XalanTranscodingServices::UnicodeCharType UnicodeCharType

## Public Member Functions

- XalanOutputTranscoder (MemoryManagerType &theManager)
- virtual ~XalanOutputTranscoder ()
- MemoryManagerType & getMemoryManager ()
- virtual eCode transcode (const XalanDOMChar *theSourceData, size_type theSourceCount, XalanXMLByte *theTarget, size_type theTargetSize, size_type &theSourceCharsTranscoded, size_type &theTargetBytesUsed)=0
    Transcode data from UTF-16 to the transcoder's encoding.
- virtual eCode transcode (const XalanXMLByte *theSourceData, size_type theSourceCount, XalanDOMChar *theTarget, size_type theTargetSize, size_type &theSourceCharsTranscoded, size_type &theTargetBytesUsed, unsigned char *theCharSizes)=0
    Transcode data from the transcoder's encoding to UTF-16.
- virtual bool canTranscodeTo (UnicodeCharType theChar) const=0

## Member Typedef Documentation

typedef XalanTranscodingServices::eCode XalanOutputTranscoder::eCode

typedef XalanTranscodingServices::size_type XalanOutputTranscoder::size_type

typedef XalanTranscodingServices::UnicodeCharType XalanOutputTranscoder::UnicodeCharType

typedef XalanTranscodingServices::XalanXMLByte XalanOutputTranscoder::XalanXMLByte

## Constructor & Destructor Documentation

XalanOutputTranscoder::XalanOutputTranscoder | ( | MemoryManagerType & | theManager | ) | `[explicit]`

virtual XalanOutputTranscoder::~XalanOutputTranscoder | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool XalanOutputTranscoder::canTranscodeTo | ( | UnicodeCharType | theChar | ) | const`[pure virtual]`

| Implemented in XalanToXercesTranscoderWrapper, and XalanUTF16Transcoder.

MemoryManagerType& XalanOutputTranscoder::getMemoryManager | ( |  | ) |

virtual eCode XalanOutputTranscoder::transcode | ( | const XalanXMLByte * | theSourceData,
|  | size_type | theSourceCount,
|  | XalanDOMChar * | theTarget,
|  | size_type | theTargetSize,
|  | size_type & | theSourceCharsTranscoded,
|  | size_type & | theTargetBytesUsed,
|  | unsigned char * | theCharSizes
| ) | `[pure virtual]`

Transcode data from the transcoder's encoding to UTF-16.

If successfull, theResult will be set to OK. If not, it will be set to one of the other codes.

Parameters:

  theSourceData | The source data to transcode
  theSourceCount | The length of the source data.
  theTarget | The target array for storing the transcoded data.
  theTargetSize | The number of characters that can be stored in the target.
  theSourceCharsTranscoded | The count of the source characters that were transcoded.
  theTargetBytesUsed | The number of characters stored in the target array
  theCharSizes | For each character in theTarget, the number of characters consumed from theSourceData.

Returns:
  The result code.

Implemented in XalanToXercesTranscoderWrapper, and XalanUTF16Transcoder.

virtual eCode XalanOutputTranscoder::transcode | ( | const XalanDOMChar * | theSourceData,
|  | size_type | theSourceCount,
|  | XalanXMLByte * | theTarget,
|  | size_type | theTargetSize,
|  | size_type & | theSourceCharsTranscoded,
|  | size_type & | theTargetBytesUsed
| ) | `[pure virtual]`

Transcode data from UTF-16 to the transcoder's encoding.

If successfull, theResult will be set to OK. If not, it will be set to one of the other codes.

Parameters:

  theSourceData | The source data to transcode
  theSourceCount | The length of the source data.
  theTarget | The target array for storing the transcoded data.
  theTargetSize | The number of characters that can be stored in the target.
  theSourceCharsTranscoded | The count of the source characters that were transcoded.
  theTargetBytesUsed | The number of characters stored in the target array

Returns:
  The result code.

Implemented in XalanToXercesTranscoderWrapper, and XalanUTF16Transcoder.

The documentation for this class was generated from the following file:

- XalanTranscodingServices.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.